#version 150 core

uniform mat4 translate;
uniform mat4 rotate;
uniform mat4 scale;
uniform mat4 invScale;
uniform vec3 inverseLightDir;

in vec3 vs_in_pos;
in vec3 vs_in_normal;

out float brightness;

void main(void) {
    gl_Position = translate * rotate * scale * vec4(vs_in_pos, 1);
    vec3 normal = (rotate * invScale * vec4(vs_in_normal, 0.0)).xyz;
    normal = normalize(normal);
    brightness = max(0, dot(normal, inverseLightDir));
}