#version 150 core

uniform mat4 translate;
uniform mat4 rotate;
uniform vec3 inverseLightDir;

in vec3 vs_in_pos;
in vec3 vs_in_normal;

out float brightness;

void main(void) {
    gl_Position = translate * rotate * vec4(vs_in_pos, 1);
    vec3 normal = (rotate * vec4(vs_in_normal, 0.0)).xyz;
    brightness = max(0, dot(normal, inverseLightDir));
}